#if !defined(AFX_PRPOBJFIGUREEMF_H__D2DB92A4_0086_11D3_AD01_00C0F6B0E2D0__INCLUDED_)
#define AFX_PRPOBJFIGUREEMF_H__D2DB92A4_0086_11D3_AD01_00C0F6B0E2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProObjFigureEmf.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "ProObjFigureEmfSub.h"
#include "StcEmfImage.h"		// For CFCStcEmfImage.
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureEmf _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjFigureEmf : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjFigureEmf)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjFigureEmf();
	~CFCProObjFigureEmf();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjFigureEmf)
	enum { IDD = IDD_PRO_FIGURE_EMF };
	CFCStcEmfImage	m_stcEmfImage;
	//}}AFX_DATA

CFCPROOBJFIGUREEMF

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCProObjFigureEmf)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjFigureEmf)
	virtual BOOL OnInitDialog();
	afx_msg void OnFg3BtnEmfImageSelect();
	afx_msg void OnSelchangeFg3CmbHorzMap();
	afx_msg void OnSelchangeFg3CmbVertMap();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnFg3BtnEmfImageUnspecify();
	afx_msg void OnFg3BtnEmfImageUnuse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

}; // class CFCProObjFigureEmf.

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRPOBJFIGUREEMF_H__D2DB92A4_0086_11D3_AD01_00C0F6B0E2D0__INCLUDED_)
